package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;

/**
 * 活动邀请码获取枚举类
 *
 * @author Cup
 * @date 2022/5/30
 */
@ApiModel("活动邀请码获取枚举类")
public enum MarketingCodeTypeEnum implements IEnum<Integer> {

    INSTANT(1, "立即获取邀请码"),
    HELP(2, "助力获取邀请码");


    private Integer value;
    private String desc;

    MarketingCodeTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }


    @Override
    public Integer getValue() {
        return this.value;
    }
}
